| CMSIS-Driver Version 2.02 Peripheral Interface for Middleware and Application Code

- CMSIS
- CORE
- Driver
- DSP
- RTOS API
- Pack
- SVD

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Driver_USBD.c File Reference

## Functions

ARM_DRIVER_VERSION | ARM_USBD_GetVersion (void)
| Get driver version.
ARM_USBD_CAPABILITIES | ARM_USBD_GetCapabilities (void)
| Get driver capabilities.
int32_t | ARM_USBD_Initialize (ARM_USBD_SignalDeviceEvent_t cb_device_event, ARM_USBD_SignalEndpointEvent_t cb_endpoint_event)
| Initialize USB Device Interface.
int32_t | ARM_USBD_Uninitialize (void)
| De-initialize USB Device Interface.
int32_t | ARM_USBD_PowerControl (ARM_POWER_STATE state)
| Control USB Device Interface Power.
int32_t | ARM_USBD_DeviceConnect (void)
| Connect USB Device.
int32_t | ARM_USBD_DeviceDisconnect (void)
| Disconnect USB Device.
ARM_USBD_STATE | ARM_USBD_DeviceGetState (void)
| Get current USB Device State.
int32_t | ARM_USBD_DeviceRemoteWakeup (void)
| Trigger USB Remote Wakeup.
int32_t | ARM_USBD_DeviceSetAddress (uint8_t dev_addr)
| Set USB Device Address.
int32_t | ARM_USBD_ReadSetupPacket (uint8_t *setup)
| Read setup packet received over Control Endpoint.
int32_t | ARM_USBD_EndpointConfigure (uint8_t ep_addr, uint8_t ep_type, uint16_t ep_max_packet_size)
| Configure USB Endpoint.
int32_t | ARM_USBD_EndpointUnconfigure (uint8_t ep_addr)
| Unconfigure USB Endpoint.
int32_t | ARM_USBD_EndpointStall (uint8_t ep_addr, bool stall)
| Set/Clear Stall for USB Endpoint.
int32_t | ARM_USBD_EndpointTransfer (uint8_t ep_addr, uint8_t *data, uint32_t num)
| Read data from or Write data to USB Endpoint.
uint32_t | ARM_USBD_EndpointTransferGetResult (uint8_t ep_addr)
| Get result of USB Endpoint transfer.
int32_t | ARM_USBD_EndpointTransferAbort (uint8_t ep_addr)
| Abort current USB Endpoint transfer.
uint16_t | ARM_USBD_GetFrameNumber (void)
| Get current USB Frame Number.
void | ARM_USBD_SignalDeviceEvent (uint32_t event)
| Signal USB Device Event.
void | ARM_USBD_SignalEndpointEvent (uint8_t ep_addr, uint32_t ep_event)
| Signal USB Endpoint Event.